<template>
    <div class="app">
        <section class="container">
            <div class="container-data">
                <button @click="$router.go(-1)" class="button-return ">⟵ Volver</button>

                <h1 class="color-prime">Dr. {{ dataDoctorArray.name }} 
                    <a v-if="dataDoctorArray.url_video && isPatientOrDoctor === 'normal'" 
                      :href="dataDoctorArray.url_video" 
                      target="_blank" class=" size-videochat-icon color-prime-doctor margin-left-05 margin-right-05 "
                      title="Video consulta activa">
                        <i class="iconneed-video-chat" id="fadeIn"></i>
                    </a></h1>
                <h4>{{ dataDoctorArray.surname }}</h4>
                <!--   ESTADISTICAS       -->
                <ul class="personal-data">

                <li>
                    Rating: 
                    <!-- {{ dataDoctorArray.rating }} |    -->
                    <span class="size-stars"> {{printStars(dataDoctorArray.rating)}} </span>
                </li>
                <hr class="head-hr">
                <li>Num. Colegiado: {{ dataDoctorArray.collegiate_number }}</li>

                <li>
                    Edad: {{ getHumanDate(dataDoctorArray.age) }} |
                    {{ getHomanHours(dataDoctorArray.age) }}
                </li>
                <li>
                    Experiencia: {{ getHomanHours(dataDoctorArray.years_experience) }}
                </li>
                <li>
                    Disponibilidad: {{ dataDoctorArray.available }}
                </li>
                </ul>

                <!-- TAB -->

                <div class="tabs tabs-pos-top-left  tabs-anim-slide-down tabs-response-to-icons " >
                    <input type="radio"
                          name="tabs"
                          checked
                          id="sky-tab1"
                          class="sky-tab-content-1"/>
                    <label for="sky-tab1"  class="font-prime ">
                    <span><span>
                        Grupo de especialidad
                    </span></span>

                    </label>

                    <input type="radio"
                            name="tabs"
                            id="sky-tab2"
                            class="sky-tab-content-2"/>
                    <label for="sky-tab2" class="font-prime ">
                    <span><span >
                        Especialidad
                    </span></span>
                    </label>

                    <ul>
                    <li class="sky-tab-content-1">
                        <div class="tabs-data-doctor">
                        <p>
                            <strong>{{ dataDoctorArray.specialty_group }}</strong>
                        </p>
                        <p >
                            {{ dataDoctorArray.description_specialtygroup }}
                        </p>
                        </div>
                    </li>

                    <li class="sky-tab-content-2">
                        <div class="tabs-data-doctor">
                        <p>
                            <strong>{{ dataDoctorArray.specialty }}</strong>
                        </p>
                        <p>
                            {{ dataDoctorArray.description_specialty }}
                        </p>
                        </div>
                    </li>
                    </ul>
                </div>

                
                <!-- FIN CARD DOCTOR -->
                <!-- BOTONERA -->
                <div v-if="isPatientOrDoctor === 'normal'" class="but-item">
                  
                    <button class="button-prime margin-left-05 margin-right-05 " 
                            @click="enviarIndice(dataDoctorArray.email)">
                        Enviar Consulta
                    </button>
                    <a v-if="dataDoctorArray.url_video" 
                      :href="dataDoctorArray.url_video" 
                      target="_blank" class="button-prime-border-green  margin-left-05 margin-right-05 ">
                        <i class="iconneed-video-chat "></i> Video consulta activa
                    </a>
                </div>       
            </div>
            <!-- avatar -->
            <div class="container-foto">
              <ul class="card_statistics">
                <li class="mini_card_statistics">
                  <p class="slogan number-statistic">{{NumInquiryDocByID.statisticsInquiry}}</p>
                  <p class="text-statistic">Consultas Recibidas</p> 
                </li>
                <li class="mini_card_statistics">
                  <p class="slogan number-statistic">{{NumInquiryDocByID.statisticsReply}}</p>
                  <p class="text-statistic">Consultas respondidas</p> 
                </li>
                <li class="mini_card_statistics">
                  <p class="slogan number-statistic">{{dataDoctorArray.rating}}</p>
                  <p class="text-statistic">Rating</p>                        
                </li>
            </ul>
                <div class="element-picture">
                    <img :src="dataDoctorArray.avatar" class="avatarDoctor">
                </div>
            </div>
        </section>
    </div>
</template>

<script>
import axios from "axios";
import moment from "moment";
import { getAuthToken } from "../../../backend/utils/utils";
import { getIsAdmin } from "../../../backend/utils/utils";

export default {
  name: "doctorfile",
  // inicio data
  data() {
    return {
      // comprueba que tipo del role tiene el usuario
      isPatientOrDoctor: getIsAdmin(),

      dataDoctorArray: [],
      NumInquiryDocByID: [],
      NumReplyDocByID: [],
    };
  },
  // fin data
  // inicio methods
  methods: {
    // Función para conseguir la ficha del doctor
    getUserProfile(response) {
      var self = this;
      const id = this.$route.params.id; // recibimos el id de la pagina
      if (!id) {
        this.$router.push("/doctor");
      }
      var self = this;
      axios
        .get(`http://localhost:3050/doctor/file/${id}`, {})
        // fin codigo temporal
        .then(function(response) {
          self.dataDoctorArray = response.data.filedoctor;
          self.NumInquiryDocByID = response.data;
          self.NumReplyDocByID = response.data;

          console.log("RESPUESTA-->", self.NumInquiryDocByID);
        })
        .catch(function(error) {
          console.log(error);
        });
    },

    enviarIndice(email) {
      // El name Send está definico en la ruta correspondiente de index
      this.$router.push({ name: "Send", params: { emaildoc: email } });
    },

    // modificar fecha con moment
    getHumanDate: function(date) {
      return moment(date, "YYYY-MM-DD").format("DD/MM/YYYY");
    },

    // calcular hasta tiempo hasta el dia de hoy
    getHomanHours: function(date) {
      return moment(date).fromNow(true);
    },

    //Para redondear la valoración
     printStars(valor){
         this.round()
         let stars = '';
         if (valor < 1){
             stars='sin valoración'
         }
         else if (valor > 0 && valor <= 1){
             stars = '★ ☆ ☆ ☆ ☆'
             return stars;
         } else if ( valor > 1 && valor <=2){
             stars = '★ ★ ☆ ☆ ☆'
             return stars;
         } else if ( valor > 2 && valor <=3){
             stars = '★ ★ ★ ☆ ☆'
             return stars;
         } else if ( valor > 3 && valor <=4){
             stars = '★ ★ ★ ★ ☆'
             return stars;
         } else if (valor > 4 && valor <= 5 || valor > 5){
             stars = `★ ★ ★ ★ ★`
             return stars;
         }
     },
     round(valor){
         return Number.parseFloat(valor).toFixed(0)
     }
  },
  // FIN methods
  created() {
    this.getUserProfile(); // obtener datos

    // this.updateUserProfile(this.name, this.surname); // modificar datos
  },
};
</script>

<style scoped>


/* CONTENEDORES */

.container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap-reverse;
  padding: 0 2.5rem;
  min-height: 60vh;
  flex: 1;

}
.container-data {
    flex: 1;
    
}


/* datos personales */
.personal-data {
  line-height: 1.5;
}


/* contenedor imagen */
.container-foto {
    background-image: url('../assets/images/backgrounds/green-organic.png');
    background-repeat: no-repeat;
    background-size: 450px 450px;
    background-position: center;
    min-width: 450px;
    min-height: 450px;

    /* background-color: aquamarine; */
    flex: 1;
    display: flex;
    flex-direction: column-reverse;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;

    text-align: center;
}

.element-picture {
    width: 300px;
    text-align: center;

    /* background: #2da5da; */
}

.avatarDoctor {
    width: 300px;
}

.card_statistics {
  display: flex;
  flex-direction: row;
  margin: 0px;
  }

.number-statistic {
  font-weight: 400;
  padding-top: 5px;
  font-size: var(--font-size-125);
  color: var(--color-general-black);

}

.text-statistic {
  font-weight: 300;
  padding-top: 5px;
  font-size: var(--color-general-black);

}

.mini_card_statistics {
  width: 95px;
  margin: 0 2px;
  border-left: 2px solid var(--color-general-whitesmoke);
  }

.mini_card_statistics:first-child{
    border-left: none;
}


/* BOTONERIA */
.but-item {
  margin: 3rem 0;
}

.size-videochat-icon {
  font-size: var( --font-size-15);
}

.head-hr {
  margin-top: .7rem;
}

/* stars */
.size-stars{
    font-size: .7rem;
    color: var(--color-general-salmon);
}

/* animacion */

#fadeIn {
  animation: fadeIn 1s infinite alternate;
}

@keyframes fadeIn { 
  from { opacity: 50%; } 
}

/*  TAB */
.tabs,
.tabs * {
  margin: 0;
  padding: 0;
  outline: none;
  border: 0;
}
.tabs {
  position: relative;
  text-align: left;
  color: #666;
}
.tabs > input {
  position: absolute;
  display: none;
}
.tabs > label {
  position: relative;
  z-index: 1;
  display: inline-block;
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  padding: 1px;
  padding-top: 0;
  padding-left: 0;
  line-height: 45px;
  cursor: pointer;
}
.tabs > label.inverse {
  float: right;
  padding-right: 0;
  padding-left: 1px;
}
.tabs > label.disabled {
  cursor: default;
}
.tabs > label span {
  display: block;
  padding: 5px;
  background: rgba(255, 255, 255, 0.9);
}
.tabs > label span span {
  padding: 0 20px;
  font-weight: 400;
  color: var(--color-general-black);
    border-bottom: 1px solid var(--color-general-black);
    margin-bottom: 1rem;


}
.tabs > label:hover span span {
color: var(--color-general-salmon);
  border-bottom: 1px solid;
}
.tabs > label.disabled span span {
  background: transparent;
  color: inherit;
}
.tabs > input:checked + label {
  cursor: default;
}
.tabs > input:checked + label span span {
  color: var(--color-general-green);
  border-bottom: 3px solid;
}
.tabs > .switcher {
  display: none;
}
.tabs > .switcher a {
  display: block;
  margin: 0 -20px;
  padding: 0 20px;
  text-decoration: none;
  color: inherit;
}
.tabs > ul {
  list-style: none;
  position: relative;
  display: block;
}
.tabs > ul > li {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  overflow: auto;
  background: rgba(255, 255, 255, 0.9);
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  opacity: 0;
  -o-transform-origin: 0 0;
  -ms-transform-origin: 0 0;
  -moz-transform-origin: 0 0;
  -webkit-transform-origin: 0 0;
  -o-transition: opacity 0.8s, -o-transform 0.8s;
  -ms-transition: opacity 0.8s, -ms-transform 0.8s;
  -moz-transition: opacity 0.8s, -moz-transform 0.8s;
  -webkit-transition: opacity 0.8s, -webkit-transform 0.8s;
}
.tabs > .sky-tab-content-1:checked ~ ul > .sky-tab-content-1,
.tabs > .sky-tab-content-2:checked ~ ul > .sky-tab-content-2,
.tabs > .sky-tab-content-3:checked ~ ul > .sky-tab-content-3,
.tabs > .sky-tab-content-4:checked ~ ul > .sky-tab-content-4,
.tabs > .sky-tab-content-5:checked ~ ul > .sky-tab-content-5,
.tabs > .sky-tab-content-6:checked ~ ul > .sky-tab-content-6,
.tabs > .sky-tab-content-7:checked ~ ul > .sky-tab-content-7,
.tabs > .sky-tab-content-8:checked ~ ul > .sky-tab-content-8,
.tabs > .sky-tab-content-9:checked ~ ul > .sky-tab-content-9 {
  position: relative;
  z-index: 1;
  opacity: 1;
}
.tabs-pos-top-center {
  text-align: center;
}
.tabs-pos-top-right {
  text-align: right;
}
.tabs-pos-top-right > label {
  padding-right: 0;
  padding-left: 1px;
}
.tabs-pos-left > label,
.tabs-pos-right > label {
  display: block;
  width: 25%;
  float: left;
  clear: left;
  margin-right: 0;
}
.tabs-pos-right > label {
  float: right;
  clear: right;
}
.tabs-pos-left > ul {
  margin-left: 25%;
}
.tabs-pos-right > ul {
  margin-right: 25%;
}
.tabs-pos-right > label {
  padding-right: 0;
  padding-left: 1px;
}

.tabs-anim-slide-down > ul > li {
  -o-transform: translateY(15%);
  -ms-transform: translateY(15%);
  -moz-transform: translateY(15%);
  -webkit-transform: translateY(15%);
}

.tabs-pos-top-center > ul > li,
.tabs-pos-right > ul > li,
.tabs-pos-top-right > ul > li {
  -o-transform-origin: 100% 0;
  -ms-transform-origin: 100% 0;
  -moz-transform-origin: 100% 0;
  -webkit-transform-origin: 100% 0;
}
.tabs-anim-slide-up > ul > li {
  -o-transform: translateY(-15%);
  -ms-transform: translateY(-15%);
  -moz-transform: translateY(-15%);
  -webkit-transform: translateY(-15%);
}
.tabs-anim-slide-right > ul > li {
  -o-transform: translateX(15%);
  -ms-transform: translateX(15%);
  -moz-transform: translateX(15%);
  -webkit-transform: translateX(15%);
}

.tabs-anim-slide-left > ul > li {
  -o-transform: translateX(-15%);
  -ms-transform: translateX(-15%);
  -moz-transform: translateX(-15%);
  -webkit-transform: translateX(-15%);
}
.tabs-anim-slide-up-left > ul > li {
  -o-transform: translate(-15%, -15%);
  -ms-transform: translate(-15%, -15%);
  -moz-transform: translate(-15%, -15%);
  -webkit-transform: translate(-15%, -15%);
}
.tabs-anim-slide-up-right > ul > li {
  -o-transform: translate(15%, -15%);
  -ms-transform: translate(15%, -15%);
  -moz-transform: translate(15%, -15%);
  -webkit-transform: translate(15%, -15%);
}
.tabs-anim-slide-down-right > ul > li {
  -o-transform: translate(15%, 15%);
  -ms-transform: translate(15%, 15%);
  -moz-transform: translate(15%, 15%);
  -webkit-transform: translate(15%, 15%);
}
.tabs-anim-slide-down-left > ul > li {
  -o-transform: translate(-15%, 15%);
  -ms-transform: translate(-15%, 15%);
  -moz-transform: translate(-15%, 15%);
  -webkit-transform: translate(-15%, 15%);
}

.tabs > .sky-tab-content-1:checked ~ ul > .sky-tab-content-1,
.tabs > .sky-tab-content-2:checked ~ ul > .sky-tab-content-2,
.tabs > .sky-tab-content-3:checked ~ ul > .sky-tab-content-3,
.tabs > .sky-tab-content-4:checked ~ ul > .sky-tab-content-4,
.tabs > .sky-tab-content-5:checked ~ ul > .sky-tab-content-5,
.tabs > .sky-tab-content-6:checked ~ ul > .sky-tab-content-6,
.tabs > .sky-tab-content-7:checked ~ ul > .sky-tab-content-7,
.tabs > .sky-tab-content-8:checked ~ ul > .sky-tab-content-8,
.tabs > .sky-tab-content-9:checked ~ ul > .sky-tab-content-9 {
  -o-transform: translate(0, 0);
  -ms-transform: translate(0, 0);
  -moz-transform: translate(0, 0);
  -webkit-transform: translate(0, 0);
}
.tabs-anim-scale > ul > li {
  -o-transform: scale(0.1, 0.1);
  -ms-transform: scale(0.1, 0.1);
  -moz-transform: scale(0.1, 0.1);
  -webkit-transform: scale(0.1, 0.1);
}
.tabs-anim-scale > .sky-tab-content-1:checked ~ ul > .sky-tab-content-1,
.tabs-anim-scale > .sky-tab-content-2:checked ~ ul > .sky-tab-content-2,
.tabs-anim-scale > .sky-tab-content-3:checked ~ ul > .sky-tab-content-3,
.tabs-anim-scale > .sky-tab-content-4:checked ~ ul > .sky-tab-content-4,
.tabs-anim-scale > .sky-tab-content-5:checked ~ ul > .sky-tab-content-5,
.tabs-anim-scale > .sky-tab-content-6:checked ~ ul > .sky-tab-content-6,
.tabs-anim-scale > .sky-tab-content-7:checked ~ ul > .sky-tab-content-7,
.tabs-anim-scale > .sky-tab-content-8:checked ~ ul > .sky-tab-content-8,
.tabs-anim-scale > .sky-tab-content-9:checked ~ ul > .sky-tab-content-9 {
  -o-transform: scale(1, 1);
  -ms-transform: scale(1, 1);
  -moz-transform: scale(1, 1);
  -webkit-transform: scale(1, 1);
}
.tabs-anim-rotate > ul > li {
  -o-transform: rotate(90deg);
  -ms-transform: rotate(90deg);
  -moz-transform: rotate(90deg);
  -webkit-transform: rotate(90deg);
}
.tabs-anim-rotate.tabs-pos-right > ul > li,
.tabs-anim-rotate.tabs-pos-top-right > ul > li {
  -o-transform: rotate(-90deg);
  -ms-transform: rotate(-90deg);
  -moz-transform: rotate(-90deg);
  -webkit-transform: rotate(-90deg);
}
.tabs-anim-rotate > .sky-tab-content-1:checked ~ ul > .sky-tab-content-1,
.tabs-anim-rotate > .sky-tab-content-2:checked ~ ul > .sky-tab-content-2,
.tabs-anim-rotate > .sky-tab-content-3:checked ~ ul > .sky-tab-content-3,
.tabs-anim-rotate > .sky-tab-content-4:checked ~ ul > .sky-tab-content-4,
.tabs-anim-rotate > .sky-tab-content-5:checked ~ ul > .sky-tab-content-5,
.tabs-anim-rotate > .sky-tab-content-6:checked ~ ul > .sky-tab-content-6,
.tabs-anim-rotate > .sky-tab-content-7:checked ~ ul > .sky-tab-content-7,
.tabs-anim-rotate > .sky-tab-content-8:checked ~ ul > .sky-tab-content-8,
.tabs-anim-rotate > .sky-tab-content-9:checked ~ ul > .sky-tab-content-9 {
  -o-transform: rotate(0deg);
  -ms-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -webkit-transform: rotate(0deg);
}
.tabs-anim-flip > ul {
  perspective: 2000px;
  -o-perspective: 2000px;
  -ms-perspective: 2000px;
  -moz-perspective: 2000px;
  -webkit-perspective: 2000px;
  perspective-origin: 50% 50%;
  -o-perspective-origin: 50% 50%;
  -ms-perspective-origin: 50% 50%;
  -moz-perspective-origin: 50% 50%;
  -webkit-perspective-origin: 50% 50%;
}
.tabs-anim-flip > ul > li {
  -o-transform: rotateX(-90deg);
  -ms-transform: rotateX(-90deg);
  -moz-transform: rotateX(-90deg);
  -webkit-transform: rotateX(-90deg);
}
.tabs-anim-flip.tabs-pos-left > ul > li {
  -o-transform: rotateY(90deg);
  -ms-transform: rotateY(90deg);
  -moz-transform: rotateY(90deg);
  -webkit-transform: rotateY(90deg);
}
.tabs-anim-flip.tabs-pos-right > ul > li {
  -o-transform: rotateY(-90deg);
  -ms-transform: rotateY(-90deg);
  -moz-transform: rotateY(-90deg);
  -webkit-transform: rotateY(-90deg);
}
.tabs-anim-flip > .sky-tab-content-1:checked ~ ul > .sky-tab-content-1,
.tabs-anim-flip > .sky-tab-content-2:checked ~ ul > .sky-tab-content-2,
.tabs-anim-flip > .sky-tab-content-3:checked ~ ul > .sky-tab-content-3,
.tabs-anim-flip > .sky-tab-content-4:checked ~ ul > .sky-tab-content-4,
.tabs-anim-flip > .sky-tab-content-5:checked ~ ul > .sky-tab-content-5,
.tabs-anim-flip > .sky-tab-content-6:checked ~ ul > .sky-tab-content-6,
.tabs-anim-flip > .sky-tab-content-7:checked ~ ul > .sky-tab-content-7,
.tabs-anim-flip > .sky-tab-content-8:checked ~ ul > .sky-tab-content-8,
.tabs-anim-flip > .sky-tab-content-9:checked ~ ul > .sky-tab-content-9 {
  -o-transform: rotateX(0deg);
  -ms-transform: rotateX(0deg);
  -moz-transform: rotateX(0deg);
  -webkit-transform: rotateX(0deg);
  -o-transition-delay: 0.2s;
  -ms-transition-delay: 0.2s;
  -moz-transition-delay: 0.2s;
  -webkit-transition-delay: 0.2s;
}

.tabs .grid-row {
  margin-top: 20px;
}
.tabs .grid-row:after {
  content: "";
  display: table;
  clear: both;
}
.tabs .grid-row:first-child {
  margin-top: 0;
}
.tabs .grid-col {
  display: block;
  float: left;
  width: 100%;
  margin-left: 2%;
}
.tabs .grid-col:first-child {
  margin-left: 0;
}
.tabs .grid-col .inner {
  padding: 10px 0;
  border-radius: 5px;
  background: rgba(0, 0, 0, 0.1);
  text-align: center;
}
.tabs .grid-col-1 {
  width: 6.5%;
}
.tabs .grid-col-2 {
  width: 15%;
}
.tabs .grid-col-3 {
  width: 23.5%;
}
.tabs .grid-col-4 {
  width: 32%;
}
.tabs .grid-col-5 {
  width: 40.5%;
}
.tabs .grid-col-6 {
  width: 49%;
}
.tabs .grid-col-7 {
  width: 57.5%;
}
.tabs .grid-col-8 {
  width: 66%;
}
.tabs .grid-col-9 {
  width: 74.5%;
}
.tabs .grid-col-10 {
  width: 83%;
}
.tabs .grid-col-11 {
  width: 91.5%;
}
.tabs .grid-col-offset-1,
.tabs .grid-col-offset-1:first-child {
  margin-left: 8.5%;
}
.tabs .grid-col-offset-2,
.tabs .grid-col-offset-2:first-child {
  margin-left: 17%;
}
.tabs .grid-col-offset-3,
.tabs .grid-col-offset-3:first-child {
  margin-left: 25.5%;
}
.tabs .grid-col-offset-4,
.tabs .grid-col-offset-4:first-child {
  margin-left: 34%;
}
.tabs .grid-col-offset-5,
.tabs .grid-col-offset-5:first-child {
  margin-left: 42.5%;
}
.tabs .grid-col-offset-6,
.tabs .grid-col-offset-6:first-child {
  margin-left: 51%;
}
.tabs .grid-col-offset-7,
.tabs .grid-col-offset-7:first-child {
  margin-left: 59.5%;
}
.tabs .grid-col-offset-8,
.tabs .grid-col-offset-8:first-child {
  margin-left: 68%;
}
.tabs .grid-col-offset-9,
.tabs .grid-col-offset-9:first-child {
  margin-left: 76.5%;
}
.tabs .grid-col-offset-10,
.tabs .grid-col-offset-10:first-child {
  margin-left: 85%;
}
.tabs .grid-col-offset-11,
.tabs .grid-col-offset-11:first-child {
  margin-left: 93.5%;
}
.tabs .tabs-data-doctor h1,
.tabs .tabs-data-doctor h2,
.tabs .tabs-data-doctor h3,
.tabs .tabs-data-doctor h4,
.tabs .tabs-data-doctor h5,
.tabs .tabs-data-doctor h6 {
  margin: 40px 0 0;
  padding: 0;
  text-align: left;
  color: #333;
}
.tabs .tabs-data-doctor h1 {
  line-height: 50px;
  font-weight: 300;
}

.tabs .tabs-data-doctor ul,
.tabs .tabs-data-doctor ol {
  list-style: none;
  margin: 20px 0 0;
  padding: 0;
  line-height: 20px;
}
.tabs .tabs-data-doctor li {
  position: relative;
  margin-top: 5px;
  padding-left: 20px;
}
.tabs .tabs-data-doctor li ul,
.tabs .tabs-data-doctor li ol {
  margin-top: 5px;
}
.tabs .tabs-data-doctor ul li:before {
  content: "";
  position: absolute;
  top: 8px;
  left: 0;
  width: 4px;
  height: 4px;
  background: #333;
}
.tabs .tabs-data-doctor ol {
  counter-reset: list1;
}
.tabs .tabs-data-doctor ol > li:before {
  counter-increment: list1;
  content: counter(list1) ".";
  position: absolute;
  top: 0;
  left: 0;
  color: #333;
}
.tabs .tabs-data-doctor a {
  text-decoration: underline;
  color: #2da5da;
}
.tabs .tabs-data-doctor a:hover {
  text-decoration: none;
}
.tabs .tabs-data-doctor .pic {
  padding: 4px;
  border: 1px dotted #ccc;
}
.tabs .tabs-data-doctor .pic img {
  display: block;
}
.tabs .tabs-data-doctor .pic-right {
  float: right;
  margin: 0 0 10px 20px;
}
.tabs .tabs-data-doctor .link {
  text-decoration: underline;
  color: #2da5da;
  cursor: pointer;
}
.tabs .tabs-data-doctor .link:hover {
  text-decoration: none;
}
.tabs .tabs-data-doctor h1:first-child,
.tabs .tabs-data-doctor h2:first-child,
.tabs .tabs-data-doctor h3:first-child,
.tabs .tabs-data-doctor h4:first-child,
.tabs .tabs-data-doctor h5:first-child,
.tabs .tabs-data-doctor h6:first-child,
.tabs .tabs-data-doctor p:first-child {
  margin-top: 0;
}
.tabs .tabs-data-doctor .text-center {
  text-align: center;
}
.tabs .tabs-data-doctor .text-right {
  text-align: right;
}
.tabs > label .fa {
  display: block;
  float: left;
  width: 18px;
  margin: 0 12px 0 -6px;
  font-family: FontAwesome;
  font-style: normal;
  line-height: 45px;
  text-align: center;
  -webkit-font-smoothing: antialiased;
}

@media screen and (max-width: 1000px) {
  .tabs > label span span {
    padding: 0 15px;
  }
  .tabs > label .fa {
    margin-right: 10px;
    margin-left: -5px;
  }
}

@media screen and (max-width: 767px) {
  .tabs .grid-col,
  .tabs .grid-col:first-child {
    float: none;
    width: 100%;
    margin: 20px 0 0;
  }
  .tabs-response-to-stack > label {
    display: block;
    width: 100%;
    padding-right: 0;
    padding-left: 0;
    text-align: left;
  }
  .tabs-response-to-stack > ul {
    margin-top: 0;
    margin-right: 0;
    margin-left: 0;
  }
  .tabs-response-to-stack > ul > li {
    -o-transform-origin: 50% 0;
    -ms-transform-origin: 50% 0;
    -moz-transform-origin: 50% 0;
    -webkit-transform-origin: 50% 0;
  }
  .tabs-response-to-stack.tabs-anim-flip > ul > li {
    -webkit-transform: rotateX(-90deg);
  }
  
  .tabs-response-to-icons > label .fa {
    width: 45px;
    margin: 0;
  }
  .tabs-response-to-icons > label span span {
    padding: 0;
  }
  .tabs-response-to-icons.tabs-pos-left > label,
  .tabs-response-to-icons.tabs-pos-right > label {
    width: 56px;
  }
  .tabs-response-to-icons.tabs-pos-left > ul {
    margin-left: 56px;
  }
  .tabs-response-to-icons.tabs-pos-right > ul {
    margin-right: 56px;
  }
  .tabs-response-to-switcher > label {
    display: none;
    width: 100%;
    padding-right: 0;
    padding-left: 0;
    text-align: left;
  }
  .tabs-response-to-switcher > .switcher {
    display: block;
  }
  .tabs-response-to-switcher:hover > label {
    display: block;
  }
  .tabs-response-to-switcher:hover > .switcher {
    display: none;
  }
  .tabs-response-to-switcher > ul {
    margin-top: 0;
    margin-right: 0;
    margin-left: 0;
  }
  .tabs-response-to-switcher > ul > li {
    -o-transform-origin: 50% 0;
    -ms-transform-origin: 50% 0;
    -moz-transform-origin: 50% 0;
    -webkit-transform-origin: 50% 0;
  }
  .tabs-response-to-switcher.tabs-anim-flip > ul > li {
    -webkit-transform: rotateX(-90deg);
  }
}
</style>
